<template>
  <div class="dialog-table-container">
    <el-table
      :element-loading-background="loadingColor"
      v-loading="loading"
      height="70vh"
      align="center"
      :data="tableData"
      class="dialog_table"
      :cell-style="{'text-align': 'center'}"
      :header-cell-style="{'text-align': 'center'}"
    >
      <el-table-column type="index" label="序号" align="center">
      </el-table-column>
      <el-table-column prop="projectName" label="项目名称">
        <template v-slot="{row}">
          <span @click="openSubView(item)" style="cursor: pointer">{{
            row.projectName
          }}</span>
        </template>
      </el-table-column>
      <el-table-column prop="newComplianceRate" label="完成率(%)" width="180" />
      <el-table-column prop="grade" label="等级">
        <template v-slot="{row}">
          <el-tag v-if="row.grade == 1" type="success" effect="dark"
            >优秀</el-tag
          >
          <el-tag v-if="row.grade == 2" type="primary" effect="dark"
            >良好</el-tag
          >
          <el-tag v-if="row.grade == 3" type="warning" effect="dark"
            >一般</el-tag
          >
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
  name: 'monthPlan',
  props: {
    tableOptions: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      loading: false,
      loadingColor: 'rgba(6, 46, 106, 0.4)',
      tableData: [],
      origin: []
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    openSubView() {
      this.$router.push('/MajorProjectsSubView')
    },
    // 改革品牌榜
    loadData() {
      this.loading = true
      let data = JSON.parse(sessionStorage.getItem('searchDate'))
      apiList.getIndexPieChartData(data, res => {
        if (res.overViewComplianceStatusInfoVoList) {
          this.tableData = res.overViewComplianceStatusInfoVoList
        }
        this.loading = false
      })
    },
    // 计算优良一般比例 排名的
    // 排名的20%    优
    // 排名的30% 良
    // 排名的50%   一般
    mathTargetIndexFinish() {
      let targetSn = 0
      this.origin.forEach(item => {
        if (targetSn < item.targetSn) {
          targetSn = item.targetSn
        }
      })
      let level1 = targetSn * 0.2
      let level2 = targetSn * 0.5

      let level1Num = 0
      let level2Num = 0
      let level3Num = 0
      this.origin.forEach(item => {
        if (item.targetSn <= level1) {
          item.type = 1
        } else if (item.targetSn <= level2) {
          item.type = 2
        } else {
          item.type = 3
        }
      })
    }
  }
}
</script>
<style lang="scss" scoped>
.column-item-rotate {
  display: inline-block;
  transform: rotateX(180deg);
}

.cqlt-icon-arrow {
  font-size: 18px;
}

.column-trend-icon-1 {
  color: #59c06c;
  text-shadow: #59c06c 1px 0 12px;
}

.column-trend-icon-2 {
  color: #fe3b30;
  text-shadow: #fe3b30 1px 0 12px;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
